Returns minimum wage rates by the minimum wage unique id
curl --request GET \
--url https://api.symmetry.com/mwf/v1/id \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/mwf/v1/id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/mwf/v1/id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorMessage": "<string>",
"ratesPage": {
"totalElements": 123,
"totalPages": 123,
"last": true,
"first": true,
"size": 123,
"content": [
{}
],
"number": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"pageable": {
"offset": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"pageSize": 123,
"pageNumber": 123,
"paged": true,
"unpaged": true
},
"numberOfElements": 123,
"empty": true
}
}Returns minimum wage rates by the minimum wage unique id
mwUid has to be a string in format stateCode-authorityType-authorityCode-majorType-industryTypeCode-minorTypeCode. Also wildcard ’*’ can be used and unspecified-rest is accepted as well. If effectiveDate is specified, returns rates valid at this date; if updatedSince is specified, returns rates updates since this date. If both effectiveDate and updatedSince are omitted, returns the whole rates history. Setting both effectiveDate and updatedSince at the same time is not allowed. EffectiveDate can not be set in conjunction with the rate type (majorType, industryTypeCode, minorTypeCode). The valid date format is yyyy-mm-dd.
GET
/
v1
/
id
Returns minimum wage rates by the minimum wage unique id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?

